Home

# Class goog.positioning.ClientPosition

Encapsulates a popup position where the popup is positioned relative to the window (client) coordinates. This calculates the correct position to use even if the element is relatively positioned to some other element. This is for trying to position an element at the spot of the mouse cursor in a MOUSEMOVE event. Just use the event.clientX and event.clientY as the parameters.

extends goog.positioning.AbstractPosition

Instance Method Summary
| `reposition(?Element element, ?goog.positioning.Corner popupCorner, ?goog.math.Box= opt_margin, ?goog.math.Size= opt_preferredSize)` Repositions the popup according to the current state